# Comments: get

**Important**:
We will discontinue support for the v2.0 JSON API on September 30th, 2024.
To ensure continued functionality, update your applications that rely on the v2.0 JSON API
to the latest API version. For the latest version, use the links in the left-side navbar.

Retrieves one Comments Resource by its commentId.
[Try it now](https://developers.google.com/blogger/docs/2.0/json/reference/comments/get#try-it).

Authentication is required if the comment is on a blog that is private. If the comment is on a blog that is public, then this method can be called without authentication.

## Request

### HTTP Request

```
GET https://www.googleapis.com/blogger/v2/blogs/blogId/posts/postId/comments/commentId
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `blogId` | `string` | ID of the blog to containing the comment. |
| `commentId` | `string` | The ID of the comment to get. |
| `postId` | `string` | ID of the post to fetch posts from. |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Comments resource](https://developers.google.com/blogger/docs/2.0/json/reference/comments#resource) in the response body.

## Try It!


Use the explorer below to call this method on live data and see the response.